Subject: texlive-bin cannot be installed in a profile

From: raid5atemyhomework <[email-masked]>
Date: Wed, 19 May 2021 11:13:07 +0000

In recent commits, `texlive-bin` cannot be installed in a profile.  This can be replicated by doing:

    guix pull
    guix install texlive-bin

Or with a specific recent commit:

    guix time-machine --commit=b7c7a61 -- install -p tmp texlive-bin

Note that it fails at the "building Tex Live configuration" phase; `guix build texlive-bin` builds perfectly fine, it is the installing of the package into *any* profile which fails.

However, in a previous commit a few weeks ago, `texlive-bin` *could* be installed into a profile:

    guix time-machine --commit=131265e -- install -p tmp texlive-bin # Succeeds

So, doing a `git bisect` between those two commits, I got to this commit:

```git
commit a6b8794c69446730b5f12eb8eefc5ef3b99c97dc
Author: Ricardo Wurmus <[email-masked]>
Date:   Mon May 3 15:34:46 2021 +0200

    profiles: texlive-configuration: Refresh font maps.

    * guix/profiles.scm (texlive-configuration): Run updmap to generate font maps
    necessary for pdflatex and other tools.

 guix/profiles.scm | 51 ++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 48 insertions(+), 3 deletions(-)
```

Its direct parent can install `texlive-bin` perfectly fine:

    guix time-machine --commit=eb930be -- install -p tmp texlive-bin # Succeeds

The above commit fails:

    guix time-machine --commit=a6b8794 -- install -p tmp texlive-bin # Fails

The specific error when constructing the profile is this:

```
updmap: open() failed: No such file or directory at /gnu/store/jy61rq7jhiqwjcmm4agr2hpk3f7ggnks-texlive-bin-20190410/bin/updmap line 2153.
updmap [ERROR]: The following map file(s) couldn't be found:
updmap [ERROR]:         dvips35.map (in builtin)
updmap [ERROR]:         pdftex35.map (in builtin)
updmap [ERROR]:         ps2pk35.map (in builtin)
updmap [ERROR]: Did you run mktexlsr?

        You can disable non-existent map entries using the option
          --syncwithtrees.

Backtrace:
           2 (primitive-load "/gnu/store/zxqc1b3asn8n7fd20815scdmp53?")
In ice-9/eval.scm:
    619:8  1 (_ #f)
In guix/build/utils.scm:
    654:6  0 (invoke _ . _)

guix/build/utils.scm:654:6: In procedure invoke:
ERROR:
  1. &invoke-error:
      program: "/gnu/store/jy61rq7jhiqwjcmm4agr2hpk3f7ggnks-texlive-bin-20190410/bin/updmap-sys"
      arguments: ("--cnffile=/gnu/store/5bzfkhncqa507c9zmp7sljssdxr9g08f-texlive-configuration/share/texmf-config/web2c/updmap.cfg" "--dvipdfmxoutputdir=/gnu/store/5bzfkhncqa507c9zmp7sljssdxr9g08f-texlive-configuration/share/texmf-dist/fonts/map/updmap/dvipdfmx/" "--dvipsoutputdir=/gnu/store/5bzfkhncqa507c9zmp7sljssdxr9g08f-texlive-configuration/share/texmf-dist/fonts/map/updmap/dvips/" "--pdftexoutputdir=/gnu/store/5bzfkhncqa507c9zmp7sljssdxr9g08f-texlive-configuration/share/texmf-dist/fonts/map/updmap/pdftex/")
      exit-status: 1
      term-signal: #f
      stop-signal: #f
```

I don't know how to debug this further, unfortunately.

***Is*** this an issue?  It seems I can just remove `texlive-bin` and still have `pdflatex` and co working on my profile.

Thanks
raid5atemyhomework